Bug 144983 - tar Files corrupted
tar Files corrupted
Status: CLOSED WORKSFORME
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Orazi
Red Hat Satellite QA List
https://rhn.redhat.com/network/softwa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-13 08:16 EST by Georges Rosset
Modified: 2008-03-05 14:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-05 14:19:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Georges Rosset 2005-01-13 08:16:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
tar files (rhn-packages.tar) downloaded from the RedHat network often 
has one corrupted file inside. For exemple, there is no way to 
download the file glibc-2.3.2-95.30.i686 in the tar format. It will 
be always corrupted:

[root@wcct updates]# tar -xvf rhn-packages.tar 
rhn-packages/glibc-2.3.2-95.30.i686.rpm
tar: Unexpected EOF in archive
tar: Unexpected EOF in archive
tar: Error is not recoverable: exiting now

However this file will download correctly alone as an rpm file.

Best regards

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. choose a few files to download
2. choose download packages
3. un-tar the rhn-packages.tar
    

Actual Results:  File can be un-tared

Additional info:

Very annoying and time consuming.
Comment 1 dudek 2005-03-11 15:00:05 EST
I am having the same problem.  Another thing to note is that FireFox reports
that the tarfile download is only 1 KB.  

Note: our site has the RHN Proxy.

Note You need to log in before you can comment on or make changes to this bug.